      SUBROUTINE COND(P,T,S,G)
C
C     TITLE:
C     *****
C
C       COND -- CALCULATE CONDUCTIVITY FROM SALINITY
C
C     PARAMETERS:
C     **********
C
C       P  -> INSITU PRESSURE (DECIBARS)
C       T  -> INSITU TEMPERATURE (CELSIUS DEGREES)
C       S  -> INSITU SALINITY (PSS-78)
C       G  <- INSITU CONDUCTIVITY (MILLI-MHOS)
C
        REAL*4 P,T,S,G
C
C     VARIABLES:
C     *********
C
        REAL*4 S1,DIFF
        INTEGER ITER
C
C     CODE:
C     ****
C
C     LOOP
C       INIT:
          G = S
C           /* FIRST APPROXIMATION TO CONDUCTIVITY */
C       BODY:
          DO 10 ITER=1,1000
          CALL SALIN(P,T,G,S1)
C           /* CALCULATE SALINITY FROM CONDUCTIVITY APPROX */
C       EXIT:
          DIFF = S1-S
          IF(ABS(DIFF).LE.1.0E-4) GO TO 999
C           /* IF CLOSE ENOUGH FOR GOVERNMENT WORK */
C       STEP:
          DIFF = 1.0-DIFF/S
          G = G*DIFF
   10     CONTINUE
C     END LOOP
C
C     /* RETURN */
C
  999 CONTINUE
      RETURN
C
C     END COND
C
      END
C
