      subroutine grav(deglat,pdb,gmss)
c
c     title:
c     *****
c
c       grav -- calculate local gravity for a given latitude
c               and pressure
c
c     parameters:
c     **********
c
c       deglat -> degrees latitude
c       pdb    -> pressure (decibars)
c       gmss   <- gravity meters/sec/sec
c
        real deglat,pdb,gmss
c
c     variables:
c     *********
c
        real slatsq,raddeg
        parameter (raddeg=.0174532925)
c
c     code:
c     ****
c
      slatsq = sin(deglat*raddeg)
      slatsq = slatsq*slatsq
c
      gmss = 9.780318*(1.0+(.0052788+2.36e-5*slatsq)*slatsq)
     1       +2.184e-6*pdb
c       /* gravity acceleration m/s/s */
c
      return
c
c     end grav
c
      end
