      SUBROUTINE O22PP(O2MLPL,TEMP,SALTY,O2PP)
C
C     TITLE:
C     *****
C
C       O22PP  -- CONVERT OXYGEN IN ML/L TO PARTIAL PRESSURE
C
C     PARAMETERS:
C     **********
C
C       O2MLPL -- OXYGEN CONCENTRATION IN ML/L
C       TEMP   -- TEMPERATURE (DEGREES CELSIUS)
C       SALTY  -- SALINITY PER MIL
C       O2PP   <- OXYGEN PARTIAL PRESSURE
C
        REAL O2PP,TEMP,SALTY,O2MLPL
C
C     VARIABLES:
C     *********
C
        REAL A,KELVIN,K100
C
C     CODE:
C     ****
C
          KELVIN = TEMP +273.15
          K100   = KELVIN/100.
          A      = -58.3877+8580.79/KELVIN+23.8439*ALOG(K100)
          O2PP   = O2MLPL/(EXP(A+SALTY*(-.03489+K100*(.015568-
     1             .0019387*K100)))*1000.)
C
          RETURN
C
C         END O22PP
C
          END
